Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLTableRow

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLTableRow

public class HTMLTableRow
extends HTMLElementContainer

Represents an HTML TABLE'S TR tag.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `align`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLTableRow()` constructs a new table row
`HTMLTableRow(java.lang.String align)` constructs a new table row

Method Summary
`void` | `addCell(HTMLTableCell cell)` Adds a table cell to the row.
`void` | `addElement(HTMLElement elem)` Adds a new element to the table row
`void` | `addFieldLabel(java.lang.String Text)` Adds a new text cell to the row.
`void` | `addFormattedTextCell(java.lang.String Text)` Adds a formatted text cell to the table row.
`void` | `addTextCell(java.lang.String Text)` Adds a text cell to the table row.
`void` | `addTextCell(java.lang.String Text, java.lang.String className)` Adds a text cell to the table row.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, render, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### align

    protected java.lang.String align

Constructor Detail

### HTMLTableRow

    public HTMLTableRow()

  constructs a new table row

### HTMLTableRow

    public HTMLTableRow(java.lang.String align)

  constructs a new table row
  Parameters:
    `align` - the new row's aligment

Method Detail

### addElement

    public void addElement(HTMLElement elem)

  Adds a new element to the table row
  Overrides:
    addElement in class HTMLElementContainer
  Parameters:
    `elem` - Element that will render it's contents to the table row.

### addCell

    public void addCell(HTMLTableCell cell)

  Adds a table cell to the row.
  Parameters:
    `cell` - Element that will render it's contents to the table row.

### addTextCell

    public void addTextCell(java.lang.String Text)

  Adds a text cell to the table row.
  Parameters:
    `Text` - text for new table cell

### addTextCell

    public void addTextCell(java.lang.String Text,
                            java.lang.String className)

  Adds a text cell to the table row.
  Parameters:
    `Text` - text for new table cell
    `className` - CSS class name for new text cell

### addFieldLabel

    public void addFieldLabel(java.lang.String Text)

  Adds a new text cell to the row. The text cell's CSS classname is set to 'vrFormLabel'

### addFormattedTextCell

    public void addFormattedTextCell(java.lang.String Text)

  Adds a formatted text cell to the table row.

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    renderContainerHeader in class HTMLElementContainer

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)

  Overrides:
    renderContainerFooter in class HTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD